package de.hdm_stuttgart.mi.sda1.sql2catalog.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

@Table(
	    uniqueConstraints=
	        @UniqueConstraint(columnNames={"product", "orderIndex"})
	)
@Entity
public class Description {

	@Id
	@GeneratedValue
	Long id;
	
	protected Description(){}

	public Description (final Product product, final int orderIndex, final String text) {
		this.product = product;
		this.orderIndex = orderIndex;
		this.text = text;
		product.descriptions.add(this);
	}

	@ManyToOne
	@JoinColumn(name="product")
	Product product;

	int orderIndex;

	@Column(nullable = false)
	String text;

	public int getOrderIndex() {
		return orderIndex;
	}

	public void setOrderIndex(int orderIndex) {
		this.orderIndex = orderIndex;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public Product getProduct() {
		return product;
	}
}
