package de.hdm_stuttgart.mi.sda1.sql2catalog.model;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.OneToMany;

@Entity
public class Product {

	protected Product() {}

	public Product(final int id, final String name, final Integer age) {
		setId(id);
		setName(name);
		setAge(age);
	}

	@Id
	int id;

	@Column(nullable = false)
	String name;

	Integer age;

	@OneToMany(mappedBy = "product", cascade=CascadeType.ALL)
	List<Description> descriptions = new ArrayList<Description>();

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getAge() {
		return age;
	}

	public void setAge(Integer age) {
		this.age = age;
	}
	public List<Description> getDescriptions() {
		return descriptions;
	}
}
